Skip to content

Get a managed account statement (legacy)
deprecated

Request

Deprecated in favour of GET /managed_accounts/{id}/statements, which provides an authoritative, immutable statement of record for an instrument over a period, as explained in our changelog.

This endpoint returns a list of transactions (in our legacy format) for a managed account, identified by the id path parameter, matching the criteria provided in the request.

Security
auth_token and api-key
Path
idstring^[0-9]+$required

The unique identifier of the managed account.

Query
offsetinteger, (int32), >= 0

The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

statementLimitinteger, (int32), [ 1 .. 500 ]

The limit of the results for statements paging, starting at the offset. Limit is capped at 500.

orderByTimestampstring

Orders the result in ascending or descending order.

  • ASC: Ascending order, oldest transactions first.
  • DESC: Descending order, most recent transactions first.

If not specified, the transactions will be returned in descending order.

Enum:"ASC""DESC"
fromTimestampinteger, (int64)

Filter for transactions having transaction timestamp after fromTimestamp. Timestamp is expressed in Epoch timestamp using millisecond precision. If omitted, all matching transactions up to the present will be included.

toTimestampinteger, (int64)

Filter for transactions having transaction timestamp before toTimestamp. Timestamp is expressed in Epoch timestamp using millisecond precision. If omitted, all matching transactions up to the present will be included. If both fromTimestamp and toTimestamp are provided, toTimestamp must be greater than fromTimestamp.

showFundMovementsOnlyboolean

Deprecated. Use singleEntryPerTransaction instead.

Returns only the entries which contain fund movements.

singleEntryPerTransactionboolean

Returns transactions that span multiple movements as a single entry. Only includes transactions that have been completed. Defaults to true for PDF statements, false otherwise. Note: due to the fact that only completed transactions are included, some transactions that are in progress and have modified the balance of the instrument will not be shown, which could lead to seemingly inconsistent balance being displayed.

transactionTypeArray of strings, unique(StatementTransactionType)

Filter by the transaction type. Leave out to fetch all entries.

Items Enum:"AUTHORISATION""SETTLEMENT""MANUAL_TRANSACTION""TRANSFER""SEND""DEPOSIT""AUTHORISATION_REVERSAL""AUTHORISATION_EXPIRY""AUTHORISATION_DECLINE""AUTHORISATION_MANUAL_CLOSE"
Headers
acceptstring

A request parameter specifying the type of response the client would like. Must be one of application/json, application/pdf or text/csv.

The default response type (application/json) will be returned if specified incorrectly or not specified.

curl -i -X GET \
  'https://sandbox.weavr.io/multi/deprecated/managed_accounts/{id}/statement?offset=0&statementLimit=1&orderByTimestamp=ASC&fromTimestamp=0&toTimestamp=0&showFundMovementsOnly=true&singleEntryPerTransaction=true&transactionType=AUTHORISATION' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'accept: string' \
  -H 'api-key: YOUR_API_KEY_HERE'

Responses

Success

Headers
request-refstringrequired

A request identifier. Providing this reference when contacting our support team will help us investigate your query.

Body
entryArray of objects(StatementEntry)
countinteger, (int32)

The total number of records (excluding the paging limit).

responseCountinteger, (int32)

The total number of records returned in this response.

startBalanceobject(CurrencyAmount)

The start balance amount in the instrument's currency. Empty for debit cards.

endBalanceobject(CurrencyAmount)

The end balance amount in the instrument's currency. Empty for debit cards.

footerstring

The footer description for the current statement

Response
{ "entry": [ {} ], "count": 0, "responseCount": 0, "startBalance": { "currency": "str", "amount": 0 }, "endBalance": { "currency": "str", "amount": 0 }, "footer": "string" }